%define name	mnogosearch-php
%define version	3.2.0
%define release	0.rc2.1mdk

Summary:	Search.php frontend for mnoGoSearch
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.rc2.tar.bz2
Source1:	search.php.bz2
Patch0:		%{name}-local_button.patch.bz2
License:	GPL
Url:		http://mnogosearch.org/
Group:		System/Servers
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	webserver php-common mod_php php-mnogosearch
Requires:	libmnogosearch3 mnogosearch mnogosearch-stored
BuildArch:	noarch

%description
mnoGoSearch-php is a PHP frontend for the mnoGoSearch free Web
search engine (formerly known as UdmSearch). It supports most of
all original search.cgi features including cache mode, phrase
search, weight factors, spell daemon, and others. 

%prep

%setup -q -n %{version}.rc2
%patch0 -p0

%build

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}/var/www/html/mnogosearch

install -m0644 src/config.inc %{buildroot}/var/www/html/mnogosearch/
install -m0644 src/search.php %{buildroot}/var/www/html/mnogosearch/
install -m0644 src/template.inc %{buildroot}/var/www/html/mnogosearch/
install -m0644 src/init.inc %{buildroot}/var/www/html/mnogosearch/
install -m0644 src/search.htm-dist %{buildroot}/var/www/html/mnogosearch/search.htm
install -m0644 src/common.inc %{buildroot}/var/www/html/mnogosearch/

ln -s search.php %{buildroot}/var/www/html/mnogosearch/index.php

bzcat %{SOURCE1} > %{buildroot}/var/www/html/search.php

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Contacts Readme ChangeLog
%config(noreplace) %attr(0644,root,root) /var/www/html/mnogosearch/config.inc
%config(noreplace) %attr(0644,root,root) /var/www/html/mnogosearch/search.htm
%attr(0644,root,root) /var/www/html/mnogosearch/template.inc
%attr(0644,root,root) /var/www/html/mnogosearch/init.inc
%attr(0644,root,root) /var/www/html/mnogosearch/common.inc
%attr(0644,root,root) /var/www/html/mnogosearch/index.php
%attr(0644,root,root) /var/www/html/mnogosearch/search.php
%attr(0644,root,root) /var/www/html/search.php

%changelog
* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.2.0-0.rc2.1mdk
- rc2

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.2.0-0.beta7.3mdk
- build release

* Tue Sep 24 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.2.0-0.beta7.2mdk
- drop P1, instead use new S1

* Mon Sep 23 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.2.0-0.beta7.1mdk
- initial cooker contribs

